import-bot (20212) [Avatar] Offline
#1
[Originally posted by johns2]

I have not yet been able to figure out how to tell the compiler how to find
some supporting jars I need. I keep getting errors like this:

[javac] /appl/cvs/builddir/src/Tracs_Java/com/sbc/tracs/domain/CacsAccountFa
ctory.java:5: cannot resolve symbol
[javac] symbol : class GlobalContext
[javac] location: package util
[javac] import com.ibm.ead4j.common.util.GlobalContext;
[javac] ^
[javac] 100 errors


I am using the following:
<path id="jar.files">
<pathelement location="src/Tracs/ead4j_common.jar" />
<pathelement location="src/Tracs/ead4j_jade.jar" />
and
<target name="compile" depends="init">
<javac srcdir="src" classpath="${jar.files}">
destdir="build/classes" />
</target>

Any ideas?
import-bot (20212) [Avatar] Offline
#2
Re: supporting jars
[Originally posted by erikhatcher]

This is really an Ant support issue rather than an issue for this forum, which
is specific to our
book's code and errata. But here goes anyway smilie

use classpathref="jar.files" rather than 'classpath' as you have it. You're
mixing and matching
datatype references and property expansion incorrectly.
import-bot (20212) [Avatar] Offline
#3
Re: supporting jars
[Originally posted by johns2]

Thank you very much. BTW. I have spent a total of 2 hours with your book and
am already somewhat productive. You are the man!